Bug 439717 - User Properties dialog - Clash of short-cut (Ctrl+e)
User Properties dialog - Clash of short-cut (Ctrl+e)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-30 18:16 EDT by ray hammond
Modified: 2008-12-01 11:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 11:46:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ray hammond 2008-03-30 18:16:14 EDT
Description of problem:
The User Properties dialog offers several short-cuts for quick navigation.  On
the Account info tab Ctrl+e is assigned to two fields.

Version-Release number of selected component (if applicable):
1.2.77

How reproducible:
Every time

Steps to Reproduce:
1. Open system-config-user, enter root password if required.
2. Click the properties button.
3. Select the Account Info tab.

Actual results:
The shortcuts for the checkbox "Enable Account expiration" and the label
"Account expires" clash, Ctrl+e.  It is not possible to user either shortcut
once the offending checkbox is ticked. 


Expected results:
Shortcut would benefit from being unique.

Additional info:
Comment 1 Nils Philippsen 2008-03-31 04:23:21 EDT
Requested lift of string freeze to change the offending strings.
Comment 2 Nils Philippsen 2008-03-31 04:45:18 EDT
Noticed that the problem of not being able to use the shortcuts at all stems
from a badly set focus target which is fixable without changing strings. I've
kicked off building system-config-users-1.2.78-1.fc9 which contains this change.

NB: I've requested a lift of the string freeze anyway, but as the remaining
problems (e.g. having to press a shortcut twice) aren't critical this may or may
not get fixed in time for F9. I'm putting this bug into MODIFIED until a
decision on that has been made. If a decision is made against changing strings
now, I'll put this into DEFERRED so that it can be revisited in the F10 timeframe.
Comment 3 Nils Philippsen 2008-04-22 12:02:50 EDT
Changing back to assigned to fix it in the F10 timeframe. I've committed this in
the upstream repository.
Comment 4 Bug Zapper 2008-05-14 04:27:31 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.